package com.xhpc.payment.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

import java.math.BigDecimal;


/**
 * @author
 * @description 用户流水 xhpc_user_account_statement
 * @date 2021-07-22
 */
public class XhpcUserAccountStatement extends BaseEntity {


    /**
     * 用户流水id
     */
    private Long userAccountStatementId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 流水金额
     */
    private BigDecimal amount;

    /**
     * 余额
     */
    private BigDecimal remainingSum;



    /**
     * 充电订单id
     */
    private Long chargeOrderId;

    /**
     * 充值订单id
     */
    private Long rechargeOrderId;

    /**
     * 退款订单id
     */
    private Long refundOrderId;

    /**
     * 类型（1充值 2退款 3充电）
     */
    private Integer type;

    /**
     * 状态（0正常 1停用）
     */
    private Integer status;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private Integer delFlag;

    /**
     * 订单来源（0 C端用户 1 流量方用户 2社区用户 3B端用户）
     */
    private Integer source;

    public Long getUserAccountStatementId() {
        return userAccountStatementId;
    }

    public void setUserAccountStatementId(Long userAccountStatementId) {
        this.userAccountStatementId = userAccountStatementId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Long getChargeOrderId() {
        return chargeOrderId;
    }

    public void setChargeOrderId(Long chargeOrderId) {
        this.chargeOrderId = chargeOrderId;
    }

    public Long getRechargeOrderId() {
        return rechargeOrderId;
    }

    public void setRechargeOrderId(Long rechargeOrderId) {
        this.rechargeOrderId = rechargeOrderId;
    }

    public Long getRefundOrderId() {
        return refundOrderId;
    }

    public void setRefundOrderId(Long refundOrderId) {
        this.refundOrderId = refundOrderId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public BigDecimal getRemainingSum() {
        return remainingSum;
    }

    public void setRemainingSum(BigDecimal remainingSum) {
        this.remainingSum = remainingSum;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }
}
